# Generated by Django 2.2.3 on 2019-09-03 00:50

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    dependencies = [
        ('places', '0008_auto_20190902_1502'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('models', '0005_auto_20190903_0035'),
    ]

    operations = [
        migrations.CreateModel(
            name='Promo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('name', models.CharField(max_length=255)),
                ('description', models.TextField()),
            ],
            options={
                'ordering': ['-name'],
            },
        ),
        migrations.CreateModel(
            name='Node',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('code', models.CharField(max_length=40)),
                ('status', models.PositiveSmallIntegerField(choices=[(1, 'wired'), (2, 'pending'), (3, 'in progress'), (4, 'no label'), (5, 'discarded')], default=1)),
                ('phone', models.CharField(blank=True, max_length=16, null=True)),
                ('olt_config', models.TextField(blank=True, null=True)),
                ('is_optical_fiber', models.BooleanField(default=False)),
                ('gpon', models.BooleanField(default=False)),
                ('gepon', models.BooleanField(default=False)),
                ('pon_port', models.CharField(blank=True, max_length=255, null=True)),
                ('expected_power', models.CharField(blank=True, max_length=255, null=True)),
                ('fiber_notes', models.TextField(blank=True, null=True)),
                ('mikrotik_ip', models.GenericIPAddressField(protocol='IPv4')),
                ('mikrotik_username', models.CharField(max_length=255)),
                ('mikrotik_password', models.CharField(max_length=255)),
                ('notes', models.TextField(blank=True, null=True)),
                ('antennas_left', models.PositiveSmallIntegerField(default=0)),
                ('ip_range', models.GenericIPAddressField(blank=True, null=True, protocol='IPv4', unique=True)),
                ('no_address_binding', models.BooleanField(default=False)),
                ('devices', models.PositiveIntegerField(blank=True, default=0, null=True)),
                ('devices_cpes', models.PositiveIntegerField(blank=True, default=0, null=True)),
                ('complete_direction', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='places.CompleteDirection')),
                ('default_connection_node', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='+', to='models.Node')),
                ('group', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='models.Group')),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='models.Node')),
                ('plan_order_kinds', models.ManyToManyField(blank=True, to='models.PlanOrderKind')),
                ('plans', models.ManyToManyField(to='models.Plan')),
                ('seller', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='models.Seller')),
                ('street_direction', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='places.StreetDirection')),
            ],
            options={
                'ordering': ['code'],
            },
        ),
        migrations.CreateModel(
            name='HistoricalPromo',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('name', models.CharField(max_length=255)),
                ('description', models.TextField()),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical promo',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalNode',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('code', models.CharField(max_length=40)),
                ('status', models.PositiveSmallIntegerField(choices=[(1, 'wired'), (2, 'pending'), (3, 'in progress'), (4, 'no label'), (5, 'discarded')], default=1)),
                ('phone', models.CharField(blank=True, max_length=16, null=True)),
                ('olt_config', models.TextField(blank=True, null=True)),
                ('is_optical_fiber', models.BooleanField(default=False)),
                ('gpon', models.BooleanField(default=False)),
                ('gepon', models.BooleanField(default=False)),
                ('pon_port', models.CharField(blank=True, max_length=255, null=True)),
                ('expected_power', models.CharField(blank=True, max_length=255, null=True)),
                ('fiber_notes', models.TextField(blank=True, null=True)),
                ('mikrotik_ip', models.GenericIPAddressField(protocol='IPv4')),
                ('mikrotik_username', models.CharField(max_length=255)),
                ('mikrotik_password', models.CharField(max_length=255)),
                ('notes', models.TextField(blank=True, null=True)),
                ('antennas_left', models.PositiveSmallIntegerField(default=0)),
                ('ip_range', models.GenericIPAddressField(blank=True, db_index=True, null=True, protocol='IPv4')),
                ('no_address_binding', models.BooleanField(default=False)),
                ('devices', models.PositiveIntegerField(blank=True, default=0, null=True)),
                ('devices_cpes', models.PositiveIntegerField(blank=True, default=0, null=True)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('complete_direction', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='places.CompleteDirection')),
                ('default_connection_node', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='models.Node')),
                ('group', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='models.Group')),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('parent', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='models.Node')),
                ('seller', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='models.Seller')),
                ('street_direction', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='places.StreetDirection')),
            ],
            options={
                'verbose_name': 'historical node',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
    ]
